For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
      • GETList or filter all SMS activities
      • POSTCreate an SMS activity
      • GETGet a single SMS activity
      • PUTUpdate an SMS activity
      • DELDelete an SMS activity
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
ActivitiesSMS

Get a single SMS activity

||View as Markdown|
GET
https://api.close.com/api/v1/activity/sms/:id/
GET
/api/v1/activity/sms/:id/
$curl https://api.close.com/api/v1/activity/sms/id/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "_type": "SMS",
3 "activity_at": "2016-10-03T16:06:11.167000+00:00",
4 "contact_id": "cont_q4xYmlGhA3060dEl0NDJuHRxPMuVjqLn30AFSzh1fRk",
5 "cost": "1",
6 "created_by": null,
7 "date_created": "2016-10-03T16:06:11.167000+00:00",
8 "date_scheduled": null,
9 "date_sent": null,
10 "date_updated": "2016-10-03T16:06:11.167000+00:00",
11 "direction": "inbound",
12 "error_message": null,
13 "id": "acti_12358hIUhaklslYoYSbtozZuUTyB2zO2nhm7iVSpZpp",
14 "lead_id": "lead_iuSXNk1x3446ggPVwQS7ynmp8pGRIDieRYiCnuo4yFb",
15 "local_country_iso": "US",
16 "local_phone": "+16503334444",
17 "local_phone_formatted": "+1 650-333-4444",
18 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
19 "remote_country_iso": "US",
20 "remote_phone": "+18183004000",
21 "remote_phone_formatted": "+1 818-300-4000",
22 "source": "Close.io",
23 "status": "inbox",
24 "template_id": null,
25 "text": "SMS in Close? HUZZAH!!!",
26 "updated_by": null,
27 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
28 "users": [],
29 "created_by_name": null,
30 "updated_by_name": null,
31 "user_name": "Tobias Fuenke",
32 "attachments": [
33 {
34 "content_type": "image/png",
35 "filename": "media_1.png",
36 "media_id": "media_1GnAWzBfs0SOjTDcUnyyP9",
37 "size": 15148,
38 "thumbnail_url": "https://app.close.com/go/sms/acti_12358hIUhaklslYoYSbtozZuUTyB2zO2nhm7iVSpZpp/media/media_7Ga8l93XLVvqNsgjPbBuUI/thumbnail/",
39 "url": "https://app.close.com/go/sms/acti_12358hIUhaklslYoYSbtozZuUTyB2zO2nhm7iVSpZpp/media/media_7Ga8l93XLVvqNsgjPbBuUI/"
40 }
41 ]
42}
Was this page helpful?
Previous

Create an SMS activity

Next

Update an SMS activity

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Response

Successful response
_typestring
activity_atdatetime or null
contact_idstring or null
coststring or null
created_bystring or null
date_createddatetime
date_scheduleddatetime or null
date_sentdatetime or null
date_updateddatetime
directionenum
Direction of a phone activity, such as a call or an SMS message.
Allowed values:
error_messagestring or null
idstring
lead_idstring or null
local_country_isostring or null
local_phonestring or null
local_phone_formattedstring or null
organization_idstring
remote_country_isostring or null
remote_phonestring or null
remote_phone_formattedstring or null
sourceenum

Source of a phone activity. Describes whether the phone activity (such as a call or an SMS) was handled by Close’s telephony provider or handled externally by a 3rd party and is merely logged in Close.

Allowed values:
statusenum
Status of a message, such as Email or SMS.
template_idstring or null
textstring or null
updated_bystring or null
user_idstring or null
userslist of strings
agent_action_reasonstring or null
agent_config_idstring or null
created_by_namestring or null
sequence_idstring or null
sequence_namestring or null
sequence_subscription_idstring or null
updated_by_namestring or null
user_namestring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error